---
title: "Get Active Client Sessions grouped by Distinguished Names."
slug: "get-active-client-sessions-grouped-by-distinguished-names-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:48Z
canonical: "support.appgate.com/get-active-client-sessions-grouped-by-distinguished-names-1"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Active Client Sessions grouped by Distinguished Names.

Get/stats/active-sessions/dn

Get session data from currently Active Client Sessions grouped by distinguished name. This API makes the Controller to query every Gateway in the system to collect the session data. The operation may take long if one or more Gateways take long to respond.

SecurityHTTPType bearer

Query parametersquerystring

Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific.

rangestring

'Range string to limit the result list. Format: -. 3-10 means the items between the (including) 3rd and the 10th will be returned. Defaults to all objects.'

Example0-10
orderBystring

The field name to sort the result list. Supported fields vary from object to object. Defaults to certain field depending on the object type.

Examplename
descendingstring

Whether the sorting is applied descending or ascending. Defaults to certain field depending on the object type.

geolocationQuery

Query parameters for finding active sessions in a given radius in the world.

object  

Query parameters for finding active sessions in a given radius in the world.

latitudenumber  (double)    

Latitude of the central point of the query.

Example59.408
longitudenumber  (double)    

Longitude of the central point of the query.

Example17.8678
radiusKilometersnumber  (double)    

Radius of the query in kilometers.

Example200.0
Example{
  "latitude": 59.408,
  "longitude": 17.8678,
  "radiusKilometers": 200
}
filterBy

Filters the result list by the given field and value. Supported fields vary from API to API. The filters can be combined with each other as well as the generic query parameter. The given value is checked for inclusion.

object  property*string    additionalProperties
Example{
  "name": "us-east",
  "tags": "aws"
}

Responses200

Active Client Sessions per user. Disconnected Clients disappear after 5 minutes. When a Client fails over to another Gateway, the API may return the Client on multiple Gateways until during this period.

<select class='api-response-data' aria-label='Media type'><option value='70749eaf-baa6-44f0-b4d0-44d21905e0ce'>application/json</option>
</select>Expand Allobject  rangestring    

The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned.

Example0-30/54
orderBystring    

The field name used to sort the list.

Examplename
descendingboolean    

Whether the sorting is applied descending or ascending.

queries Array of string   

The queries applied to the list.

string    
totalCountinteger    

The total readable count of entities. Not influenced by the query.

Example328
filterBy Array of object (FilterBy)   

The filters applied to the list.

object  namestring    

The field name the filter is applied to.

Examplename
valuestring    

The value used for comparison.

ExampleAWS

data Array of object   object  distinguishedNamestring    

Distinguished name of a user&device combination. Format: "CN=,CN=,OU="

ExampleCN=4c07bc6757ea42ddb702c2d6c45419fc,CN=user,OU=ldap
deviceIdstring  (uuid)    

The device ID, same as the one in the Distinguished Name.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
usernamestring    

The username, same as the one in the Distinguished Name.

Exampleuser
providerNamestring    

The provider name of the user, same as the one in the Distinguished Name.

Exampleldap
geoIpLatitudenumber  (double)    

GeoIP Latitude of the client.

Example59.408
geoIpLongitudenumber  (double)    

GeoIP Latitude of the client.

Example17.8678
hostnamestring    

Hostname or Device name reported by the Client as Device Claim.

Examplecmp325
osFamilystring    

Family of the operating system of the Client.

Examplewindows
osNamestring    

Name of the operating system of the Client.

ExampleMicrosoft Windows 10 Enterprise N
osParentstring    

Parent of the operating system of the Client. Typically available for Linux.

Examplefedora
clientVersionstring    

Client version.

Example6.1.2-32120-release
clientTypestring    

Client type.

Exampleheadless
clientSupportstring    

The support status of the client.

Valid values[
  "full",
  "partial",
  "none"
]
gateways Array of string  Deprecated 

The names of gateways reporting active client sessions of the user. Deprecated as of 6.6. Use Session Details API instead.

string    Exampleaws-gateway-1

geolocationQueryobject (GeolocationQuery)  

Query parameters for finding active sessions in a given radius in the world.

latitudenumber  (double)    

Latitude of the central point of the query.

Example59.408
longitudenumber  (double)    

Longitude of the central point of the query.

Example17.8678
radiusKilometersnumber  (double)    

Radius of the query in kilometers.

Example200.0

401

Token error. Login again.

<select class='api-response-data' aria-label='Media type'><option value='c291442e-141e-45f6-aa69-ade72f787bad'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

403

Insufficient permissions to access this resource.

<select class='api-response-data' aria-label='Media type'><option value='0691b272-50ee-44ad-9fbc-7192d66faa00'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

406

Invalid 'Accept' header.

<select class='api-response-data' aria-label='Media type'><option value='4c630772-39fa-4667-9e1f-c6177238bd25'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

500

Unexpected server side error.

<select class='api-response-data' aria-label='Media type'><option value='51820133-c418-4797-8002-6d34272c0566'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.
